@charset "UTF-8";

:root {
  /* Base colors. */
  --color-default: #000;
  --color-text-on-dark: #fff;
  --color-link: #bb1f41;
  --color-nav-hover: #545454;
  --color-visited: #363636;
  --color-form-tab-bg: #eee;
  --color-alert-info: #269abc;
  --color-alert-success: #278400;
  --color-alert-warning: #ee7100;
  --color-alert-danger: #d3080c;
  /* Default styles. */
  --color-accent-bg: var(--color-default);
  --color-button-hover: var(--color-link);
  --border-default: 2px solid var(--color-form-tab-bg);
}

/* Links. */
.alert-info a,
.file-link a,
.dropdown-menu > li > a,
/* File metadata. */
.file > span,
a {
  color: var(--color-link);
  background-color: inherit;
}
.alert-info a:visited,
.file-link a:visited,
.dropdown-menu > li > a:visited,
a:visited {
  color: var(--color-visited);
}
.alert-info a:active,
.alert-info a:hover,
.file-link a:active,
.file-link a:hover,
a:active,
a:hover {
  color: var(--color-nav-hover);
}

/* Dropdown menus. */
.dropdown-menu > li > a:focus,
.dropdown-menu > li > a:active,
.dropdown-menu > li > a:hover,
.dropdown-menu > li.active > a:focus,
.dropdown-menu > li.active > a:active,
.dropdown-menu > li.active > a:hover {
  color: var(--color-text-on-dark);
  background-color: var(--color-nav-hover);
}
.dropdown-menu > li.active > a {
  color: var(--color-visited);
  background-color: inherit;
}

/* Buttons. */
/* Button default and primary. */
.btn-default,
body .btn-primary {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-accent-bg);
}
.btn-default:hover,
body .btn-primary:hover {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-button-hover);
}
.btn-default:active,
.btn-default:focus,
/* Webform submit buttons get the `disabled` attribute when clicked. */
.btn-default[disabled],
.btn-default[disabled]:active,
.btn-default[disabled]:focus,
.btn-default[disabled]:hover,
body .btn-primary:active,
body .btn-primary:focus {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-nav-hover);
}
/* Button danger. */
body .btn-danger {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-alert-danger);
}
body .btn-danger:hover {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-button-hover);
}
body .btn-danger:active,
body .btn-danger:focus {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-nav-hover);
}

/* Details & summary. */
details > summary {
  color: var(--color-default);
}
details > summary:hover,
details > summary:focus,
details[open] > summary {
  text-decoration: none;
  color: var(--color-link);
}

/* Tabs. */
.wb-tabs [role="tablist"] > li a,
.wb-tabs [role="tablist"] > li.active a {
  color: inherit;
  border: none;
}
/* Non-active. */
.wb-tabs [role="tablist"] > li {
  color: var(--color-text-on-dark);
  background-color: var(--color-accent-bg);
}
.wb-tabs [role="tablist"] > li:focus,
.wb-tabs [role="tablist"] > li:hover {
  color: var(--color-text-on-dark);
  background-color: var(--color-nav-hover);
}
/* Active. */
.wb-tabs [role="tablist"] > li.active,
.wb-tabs [role="tablist"] > li.active:focus,
.wb-tabs [role="tablist"] > li.active:hover {
  color: var(--color-link);
  background-color: var(--color-text-on-dark);
}

/* Carousel. */
.wb-tabs.carousel-s2 {
  border: var(--border-default);
}
/* Carousel link. */
.wb-tabs.carousel-s2 [role="tabpanel"] a figcaption {
  color: var(--color-link) !important;
  background-color: var(--color-text-on-dark) !important;
}
/* Carousel item number text. */
.wb-tabs.carousel-s2 > [role="tablist"] > li {
  color: var(--color-default);
}
/* Carousel buttons. */
.wb-tabs.carousel-s2 > [role="tablist"] > li.plypause > a {
  padding: 8px 10px;
}
.wb-tabs.carousel-s2 > [role="tablist"] > li > a > span,
.wb-tabs.carousel-s2 > [role="tablist"] > li.plypause > a {
  color: var(--color-text-on-dark) !important;
  background-color: var(--color-accent-bg) !important;
}
.wb-tabs.carousel-s2 > [role="tablist"] > li > a:hover > span,
.wb-tabs.carousel-s2 > [role="tablist"] > li.plypause > a:hover {
  background-color: var(--color-button-hover) !important;
}

/* Search panels. */
.badge,
.theme-gcweb .panel > .panel-heading,
.panel > .panel-heading {
  color: var(--color-text-on-dark);
  background-color: var(--color-accent-bg);
}
/* Links. */
.badge a,
.badge a:visited,
.badge a:active,
.badge a:hover,
.theme-gcweb .panel > .panel-heading a,
.theme-gcweb .panel > .panel-heading a:visited,
.theme-gcweb .panel > .panel-heading a:active,
.theme-gcweb .panel > .panel-heading a:hover,
.panel > .panel-heading a,
.panel > .panel-heading a:visited,
.panel > .panel-heading a:active,
.panel > .panel-heading a:hover {
  color: var(--color-text-on-dark);
  background-color: var(--color-accent-bg);
}

/* Slick slider for Alerts */
.slick-slider {
  user-select: auto;
}

#block-views-block-alerts-block-1 .form-group {
  margin-bottom: 0;
}
#block-views-block-alerts-block-1 .alert {
  margin-top: 15px;
  margin-bottom: 15px;
  background: #f3e9e8;
}
#block-views-block-alerts-block-1 button.close {
  right: 15px;
}
#block-views-block-alerts-block-1 .slide__caption {
  padding: 0;
}
#block-views-block-alerts-block-1 ul.slick-dots {
  position: absolute;
  top: 45px;
  right: 45px;
  clear: both;
  list-style: none;
}
#block-views-block-alerts-block-1 ul.slick-dots li {
  float: left;
  padding: 0 6px;
}
#block-views-block-alerts-block-1 ul.slick-dots li.slick-active button {
  cursor: default;
  background: rgb(0, 0, 0, 0.9);
}
#block-views-block-alerts-block-1 ul.slick-dots li button {
  display: block;
  width: 11px;
  height: 11px;
  cursor: pointer;
  text-indent: -9999px;
  border: none;
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border-radius: 20px;
  background: #666;
  background: rgb(0, 0, 0, 0.5);
}
#block-views-block-alerts-block-1 nav.slick__arrow {
  position: absolute;
  right: 25px;
  bottom: 10px;
}
#block-views-block-alerts-block-1 nav.slick__arrow .slick-arrow {
  border: none;
  background-color: transparent;
}
#block-views-block-alerts-block-1 nav.slick__arrow .slick-arrow .glyphicon {
  color: #843534;
  font-size: 30px;
}
#block-views-block-alerts-block-1
  nav.slick__arrow
  .slick-arrow
  .glyphicon:hover,
#block-views-block-alerts-block-1
  nav.slick__arrow
  .slick-arrow
  .glyphicon:focus {
  color: rgb(95.41304, 38.30978, 37.58695);
}
#block-views-block-alerts-block-1 nav.slick__arrow .play,
#block-views-block-alerts-block-1 nav.slick__arrow .pause {
  border: none;
  background-color: transparent;
}
#block-views-block-alerts-block-1 nav.slick__arrow .play .glyphicon,
#block-views-block-alerts-block-1 nav.slick__arrow .pause .glyphicon {
  color: #843534;
  font-size: 30px;
}
#block-views-block-alerts-block-1 nav.slick__arrow .play .glyphicon:hover,
#block-views-block-alerts-block-1 nav.slick__arrow .play .glyphicon:focus,
#block-views-block-alerts-block-1 nav.slick__arrow .pause .glyphicon:hover,
#block-views-block-alerts-block-1 nav.slick__arrow .pause .glyphicon:focus {
  color: rgb(95.41304, 38.30978, 37.58695);
}

/* Blocks */
.common-partner-block {
  margin: 15px auto;
  padding: 15px;
  background-color: #efede4;
}
.common-partner-block h2,
.common-partner-block h3 {
  margin-top: 0;
  margin-bottom: 10px;
  font-size: 18px;
}
.common-partner-block hr {
  margin-top: 2px;
  margin-bottom: 3px;
  border: 2px solid #18333c;
}

.region-content .common-partner-block a:link,
.region-content .common-partner-block a:visited {
  color: #18333c;
}

div.common-what-can-i-bring hr {
  margin-top: 2px;
  margin-bottom: 3px;
  border: 1px solid #18333c;
}
div.common-what-can-i-bring a {
  font-weight: 600;
}

#block-catsa-sharewidgetblock .wb-share {
  float: left !important;
  margin-right: 15px;
  margin-left: 15px;
}

@media only screen and (max-width: 992px) {
  #block-catsa-sharewidgetblock .wb-share {
    float: none !important;
  }
}
#wb-bc {
  border-bottom: var(--border-default);
}
#wb-bc ol li {
  padding: 5px 2px;
}
#wb-bc a,
#wb-bc a:visited {
  color: var(--color-link);
}

/* Entity embed */
@media only screen and (min-width: 767px) {
  .embedded-entity.well {
    margin-top: 0.5em;
  }
  .embedded-entity.align-left {
    margin-right: 1em;
  }
  .embedded-entity.align-right {
    margin-left: 1em;
  }
}
.region-footer {
  margin-top: 30px;
}

#wb-info {
  border-top: var(--border-default);
}
#wb-info .block-gcext-stay-connected a {
  font-size: 1.2rem;
  font-weight: bold;
}
#wb-info .block-gcext-stay-connected a:hover {
  color: #18333c;
}
#wb-info .brand {
  background: var(--color-accent-bg);
}
#wb-info .brand #block-catsa-brand,
#wb-info .brand #block-catsa-brand-fr {
  padding-top: 1.8em;
  color: #fff;
}
#wb-info .brand #block-catsa-brand ul:not(.contextual-links) a,
#wb-info .brand #block-catsa-brand-fr ul:not(.contextual-links) a {
  color: #fff;
}
#wb-info .brand img {
  margin-top: 2em;
}
#wb-info .brand .tofpg a {
  color: #fff;
}
#wb-info div.block-gcext-stay-connected .right {
  float: right;
  text-align: right;
}
#wb-info div.block-gcext-stay-connected .col-md-6.left {
  padding-left: 0;
}

.flex-row {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.flex-row * {
  margin: 0;
}

.webform-progress .webform-progress-bar {
  display: none;
}
.webform-progress .webform-progress__status .webform-progress__summary {
  display: inline-block;
  margin: 0 auto;
  padding: 1em 1.25em;
  border-radius: 4px;
  background-color: #f0f0f0;
}
@media only screen and (min-width: 992px) {
  .webform-progress .webform-progress-bar {
    display: block;
  }
  .webform-progress .webform-progress__status {
    display: none;
  }
}

.media-element-container.media-float-right,
.media-element-container.media-wysiwyg-align-right {
  float: right;
}

.media-element-container.media-float-left,
.media-element-container.media-wysiwyg-align-left {
  float: left;
}

h1#wb-cont {
  border-bottom-color: var(--color-link);
}

/* No underline on centered h1, which appear on the homepage. */
h1#wb-cont.text-align-center {
  border-bottom: none;
}

header .brand img {
  max-height: 80px;
  margin-top: -20px;
}

@media only screen and (max-width: 992px) {
  header .brand img {
    margin-top: 0;
  }
}
#wb-sm {
  background: var(--color-accent-bg);
}
#wb-sm .menu .wb-navcurr,
#wb-sm .menu > li a:focus,
#wb-sm .menu > li a:hover,
#wb-sm .menu > li.active {
  background: var(--color-nav-hover) !important;
}

/* Pull-down menus. */
#wb-sm .sm.open li {
  color: var(--color-default);
  background: var(--color-text-on-dark);
}
#wb-sm .sm.open li.slflnk a {
  background: var(--color-form-tab-bg);
}
#wb-sm .sm.open li:hover a {
  background: var(--color-button-hover) !important;
}

#wb-srch button {
  background-color: var(--color-accent-bg);
}
#wb-srch button:hover {
  background-color: var(--color-button-hover);
}

.custom-search-api-form .button {
  color: #fff;
  background-color: #5d6f76;
}
@media only screen and (min-width: 767px) {
  .custom-search-api-form .button {
    margin-left: 0.33rem;
  }
}
.custom-search-api-form .button:hover {
  background-color: #18333c;
}

@media print {
  .highlighted {
    display: none;
  }
  #create_travel_checklist--start,
  .webform-progress__summary,
  .checklist-email-warning,
  .form-actions,
  button {
    display: none !important;
  }
  .block-date-modified-block dl {
    display: flex;
  }
  .block-date-modified-block dl dt {
    margin-right: 0.5em;
  }
  .panel-default {
    border-color: transparent;
  }
  a.panel-title {
    text-decoration: none;
    font-size: 1.25em;
    font-weight: 700;
  }
  .webform-submission-create-travel-checklist-form .webform-container ul {
    list-style-type: none;
  }
  .webform-submission-create-travel-checklist-form .webform-container ul li {
    position: relative;
    margin: 0.5em 0 0 2em;
    padding: 0;
    font-weight: 600;
  }
  .webform-submission-create-travel-checklist-form
    .webform-container
    ul
    li::before {
    position: absolute;
    top: 0.1em;
    display: inline-block;
    width: 1.25em;
    height: 1.25em;
    margin-left: -2em;
    content: "";
    border: 2px solid #333;
    border-radius: 16%;
  }
  .webform-submission-create-travel-checklist-form
    .webform-container
    ul
    li
    .field-item {
    margin-top: 0.25em;
    font-weight: normal;
  }
}

/* Pagination. */
/* Default. */
.pagination > li > a,
.pagination > li > span {
  color: var(--color-link);
  background: var(--color-text-on-dark);
}
/* Active. */
.pagination > .active > a,
.pagination > .active > a:focus,
.pagination > .active > a:hover,
.pagination > .active > span,
.pagination > .active > span:focus,
.pagination > .active > span:hover {
  color: var(--color-text-on-dark);
  background: var(--color-accent-bg);
}

.region-sidebar-second {
  font-size: 20px;
  line-height: 1.65em;
}
@media only screen and (min-width: 992px) {
  .region-sidebar-second {
    margin-top: 5.32rem;
  }
}

/* Webform. */
li.webform-progress-bar__page--current {
  color: var(--color-text-on-dark);
  background-color: var(--color-visited);
}
/* This is the right-pointing triangle which appear to be part of preceding curent item. */
li.webform-progress-bar__page--current
  + li.webform-progress-bar__page
  > b::before {
  border-left-color: var(--color-visited);
}
li.webform-progress-bar__page--done > b[role="link"] {
  text-decoration: underline;
  color: var(--color-link);
}
.webform-button--next,
body .webform-button--submit {
  margin-left: 0.33rem;
}

/* Mobile menu planel open control. */
#wb-glb-mn ul.chvrn {
  color: var(--color-text-on-dark);
  background-color: var(--color-default);
}
/* Mobile menu planel. */
#mb-pnl {
  color: var(--color-default);
  background-color: var(--color-text-on-dark);
  background-image: none;
}
#mb-pnl .modal-body {
  color: var(--color-default);
  background-color: var(--color-text-on-dark);
}
#mb-pnl .modal-body summary,
#mb-pnl .modal-body summary:focus,
#mb-pnl .modal-body summary:hover,
#mb-pnl .sm-pnl,
#mb-pnl .modal-footer {
  color: var(--color-default);
  background-color: var(--color-form-tab-bg);
}
#mb-pnl .modal-body details[open] > summary {
  color: var(--color-link);
}
/* Search box. */
#mb-pnl .srch-pnl form {
  display: flex;
}
#mb-pnl .srch-pnl form input {
  width: 100%;
  border-color: var(--color-default);
  background-color: var(--color-text-on-dark);
}
#mb-pnl .srch-pnl .form-group {
  width: 75%;
}
#mb-pnl .mfp-close {
  opacity: 1;
}
/* Search button. */
#mb-pnl .srch-pnl form button {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-default);
}
#mb-pnl .srch-pnl form button:hover {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-button-hover);
}
#mb-pnl .srch-pnl form button:active,
#mb-pnl .srch-pnl form button:focus {
  color: var(--color-text-on-dark);
  border: none;
  background-color: var(--color-nav-hover);
}
/* Header. */
#mb-pnl .modal-header {
  color: var(--color-text-on-dark);
  background-color: var(--color-default);
}
#mb-pnl .modal-header::before {
  border-top: 1.45em solid var(--color-default);
  border-bottom: 1.45em solid var(--color-default);
}
/* Info panel. */
#mb-pnl .info-pnl {
  margin-top: 0.5em;
  color: var(--color-default);
  border: 2px solid var(--color-form-tab-bg);
  background-color: var(--color-text-on-dark);
}
/* Mobile menu planel links. */
#mb-pnl .modal-body a,
#mb-pnl .info-pnl a {
  color: var(--color-link);
}
#mb-pnl .modal-body a:visited,
#mb-pnl .info-pnl a:visited {
  color: var(--color-visited);
}
#mb-pnl .modal-body a:active,
#mb-pnl .modal-body a:hover,
#mb-pnl .info-pnl a:active,
#mb-pnl .info-pnl a:hover {
  color: var(--color-nav-hover);
}

.webform-submission-form .select-wrapper {
  max-width: 100%;
}

.form-textarea-wrapper textarea {
  width: 100%;
}

#block-views-block-alerts-block-1 {
  position: relative;
}
#block-views-block-alerts-block-1 nav.slick__arrow {
  position: absolute;
  right: 2em;
  bottom: 2em;
}
#block-views-block-alerts-block-1 ul.slick-dots {
  top: 1em;
  right: 1em;
}
#block-views-block-alerts-block-1 .alert {
  min-height: 380px;
}
#block-views-block-alerts-block-1 .alert .view-content {
  margin-right: 2em;
}
@media only screen and (min-width: 992px) {
  #block-views-block-alerts-block-1 .alert {
    min-height: 200px;
  }
}
#block-views-block-alerts-block-1 .slick-list {
  margin-bottom: 2.5em;
}

.select-wrapper {
  max-width: 100%;
}

/* Form controls */
* {
  accent-color: var(--color-link);
}
/* Disclosure triangle on `select` elements */
.select-wrapper::after {
  color: var(--color-link);
}

@media only screen and (max-width: 767px) {
  .pull-right.col-sm-12 {
    width: 100%;
  }
  #edit-search-api-fulltext {
    width: 100%;
  }
}
h2#topics-menu {
  color: #fff !important;
  background: #000 !important;
}

.help-block,
.control-group .help-inline {
  color: #3c3c3c;
  font-size: 1em;
}

.home .custom-search-api-form {
  text-align: center;
}
.home .custom-search-api-form form {
  display: inline-block;
}
.home .custom-search-api-form form .form-item-search-keyword {
  float: left;
}
.home .custom-search-api-form form .form-item-search-keyword .form-control {
  width: 87vw;
}
@media only screen and (min-width: 480px) {
  .home .custom-search-api-form form .form-item-search-keyword .form-control {
    width: 400px;
  }
}
.home .custom-search-api-form form button {
  float: left;
}
.home .gcext-search-api-form {
  text-align: center;
}
.home .gcext-search-api-form form {
  display: inline-block;
}
.home .gcext-search-api-form .form-item-search-api-fulltext {
  float: left;
}
.home .gcext-search-api-form .form-item-search-api-fulltext .form-control {
  width: 87vw;
}
@media only screen and (min-width: 480px) {
  .home .gcext-search-api-form .form-item-search-api-fulltext .form-control {
    width: 400px;
  }
}
.home .gcext-search-api-form button {
  float: left;
  margin-left: 10px;
}
.home .bs-region--top .block-region-top {
  padding: 40px 0;
}
.home .homepage-icons {
  max-width: 760px;
  margin: 0 auto;
}
.home .homepage-icons a,
.home .homepage-icons a:link,
.home .homepage-icons a:visited {
  text-decoration: none;
  color: #18333c;
  font-weight: 600;
}
.home .homepage-icons a:focus,
.home .homepage-icons a:hover,
.home .homepage-icons a:active,
.home .homepage-icons a:link:focus,
.home .homepage-icons a:link:hover,
.home .homepage-icons a:link:active,
.home .homepage-icons a:visited:focus,
.home .homepage-icons a:visited:hover,
.home .homepage-icons a:visited:active {
  text-decoration: underline;
}
.home .homepage-icons > div > div.row > div {
  margin: 1em 0;
}
.home .pre-footer-wrapper {
  padding: 30px 0;
  background-color: #6cbdb6;
  font-size: smaller;
}
.home .pre-footer-wrapper a:link,
.home .pre-footer-wrapper a:visited {
  color: rgb(20.91549, 46.5845, 44.36619);
}
.home .pre-footer-wrapper a:hover {
  color: #18333c;
}
.home .pre-footer-wrapper .block-region-right h2 {
  margin-top: 0;
}

/* Space before colon on French field labels. */
:lang(fr) .field--label-inline .field--label::after {
  content: " :";
}

.item-status::after {
  display: inline-block;
  width: 20px;
  height: 16px;
  margin-left: 10px;
  content: "";
  background-repeat: no-repeat;
  background-position: top left;
  background-size: contain;
}
.item-status.no {
  color: var(--color-link);
}
.item-status.no::after {
  background-image: url(../images/status-no.png);
}
.item-status.yes,
.item-status.yes100,
.item-status.yes350 {
  color: #006800;
}
.item-status.yes::after,
.item-status.yes100::after,
.item-status.yes350::after {
  background-image: url(../images/status-yes.png);
}
.item-status.check {
  color: #8f4500;
}
.item-status.check::after {
  background-image: url(../images/status-maybe.png);
}
.item-status.yes400 {
  color: #8f4500;
}
.item-status.yes400::after {
  background-image: url(../images/exclaim.png);
}

.field--item.item-status {
  display: flex;
  align-items: center;
}

.facet-item {
  margin-bottom: 0.5em;
  font-size: 0.87em;
  line-height: 1.5;
}
.facet-item a {
  display: flex;
  align-items: center;
}

.form-actions button {
  margin-left: 0.33rem;
}
.form-actions button:first-of-type {
  margin-left: 0;
}

form.webform-submission-add-form legend {
  float: none;
}

form#webform-submission-create-travel-checklist-add-form
  div.webform-element-type-catsa-webform-entity-checkboxes
  > ul {
  list-style-type: "☐ ";
}
form#webform-submission-create-travel-checklist-add-form
  > div.form-group
  > div.form-item
  > div.panel-body {
  display: flex;
  flex-wrap: wrap;
}
form#webform-submission-create-travel-checklist-add-form
  > div.form-group
  > div.form-item
  > div.panel-body
  > fieldset {
  flex: 1;
  min-width: 33%;
}
@media only screen and (max-width: 992px) {
  form#webform-submission-create-travel-checklist-add-form
    > div.form-group
    > div.form-item
    > div.panel-body
    > fieldset {
    min-width: 50%;
  }
}
.popup-airport-name {
  margin-top: 2px;
  margin-bottom: 10px;
  padding-bottom: 5px;
  border-bottom: 2px solid #f2f2f2;
}

/* What can I bring search box */

form.gcext-search-api-form .form-item {
  display: flex;
  align-items: center;
  margin: 0;
  padding: 0;
}
form.gcext-search-api-form .form-item input {
  width: 100%;
  border: 2px solid #a6a6a8;
}
form.gcext-search-api-form .form-item input::placeholder {
  color: #959595 !important;
}
@media (min-width: 768px) {
  form.gcext-search-api-form {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 1em;
  }
  form.gcext-search-api-form button {
    margin: 0;
  }
}

/* Splash page. */
.splash .sp-bx {
  color: var(--color-default);
  background-color: var(--color-text-on-dark);
}
.splash .sp-bx .btn {
  box-shadow: none;
}
.splash .sp-bx-bt,
.splash .sp-lk:link,
.splash .sp-lk:visited {
  color: var(--color-text-on-dark);
  background-color: var(--color-accent-bg);
}
